<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <meta name="generator" content="pandoc" />
  <title>Preferences</title>
  <style type="text/css">code{white-space: pre;}</style>
</head>
<body>
<style>
body {
    margin: auto;
    padding-right: 1em;
    padding-left: 1em;
    max-width: 44em;
    border-left: 1px solid black;
    border-right: 1px solid black;
    color: black;
    font-family: Verdana, sans-serif;
    font-size: 100%;
    line-height: 140%;
    color: #333;
}
pre, tt{
    font-family: monospace;
    background-color:#f8f8f8;
    padding: 2px 4px;
}
code{
    background-color:#f8f8f8;
    white-space: pre-wrap;
    font-size: 110%;
    padding: 1px 1px;
}
h1 a, h2 a, h3 a, h4 a, h5 a, li a {
    text-decoration: none;
    color: #7a5ada;
}
h1, h2, h3, h4, h5 { font-family: verdana;
                     font-weight: bold;
                     /*border-bottom: 1px dotted black;*/
                     color: #7a5ada; }
h1 {
        font-size: 130%;
}

h2 {
        font-size: 110%;
                     border-bottom: 1px dotted black;
}

h3 {
        font-size: 100%;
                     border-bottom: 1px dotted black;
}

h4 {
        font-size: 90%;
        font-style: italic;
                     border-bottom: 1px dotted black;
}

h5 {
        font-size: 85%;
        font-style: italic;
                     border-bottom: 1px dotted black;
}

h1.title {
        font-size: 200%;
        font-weight: bold;
        padding-top: 0.2em;
        padding-bottom: 0.2em;
        text-align: left;
        border: none;
}

dt code {
        font-weight: bold;
}
dd p {
        margin-top: 0;
}

#footer {
        padding-top: 1em;
        font-size: 70%;
        color: gray;
        text-align: center;
}
</style>
<div id="header">
<h1 class="title">Preferences</h1>
</div>
<div id="TOC">
<ul>
<li><a href="#action_interval">action_interval</a></li>
<li><a href="#action_markups">action_markups</a></li>
<li><a href="#action_minutes">action_minutes</a></li>
<li><a href="#action_rates">action_rates</a></li>
<li><a href="#action_template">action_template</a></li>
<li><a href="#action_timer">action_timer</a></li>
<li><a href="#action_status">action_status</a></li>
<li><a href="#agenda">agenda</a></li>
<li><a href="#alert_default">alert_default</a></li>
<li><a href="#alert_displaycmd">alert_displaycmd</a></li>
<li><a href="#alert_soundcmd">alert_soundcmd</a></li>
<li><a href="#alert_template">alert_template</a></li>
<li><a href="#alert_voicecmd">alert_voicecmd</a></li>
<li><a href="#alert_wakecmd">alert_wakecmd</a></li>
<li><a href="#ampm">ampm</a></li>
<li><a href="#auto_completions">auto_completions</a></li>
<li><a href="#calendars">calendars</a></li>
<li><a href="#current-files">current files</a></li>
<li><a href="#datadir">datadir</a></li>
<li><a href="#dayfirst">dayfirst</a></li>
<li><a href="#edit_cmd">edit_cmd</a></li>
<li><a href="#email_template">email_template</a></li>
<li><a href="#etmdir">etmdir</a></li>
<li><a href="#encoding">encoding</a></li>
<li><a href="#filechange_alert">filechange_alert</a></li>
<li><a href="#fontsize">fontsize</a></li>
<li><a href="#mercurial-commands">Mercurial commands</a><ul>
<li><a href="#hg_commit">hg_commit</a></li>
<li><a href="#hg_history">hg_history</a></li>
<li><a href="#hg_init">hg_init</a></li>
</ul></li>
<li><a href="#icalendar-files">iCalendar files</a><ul>
<li><a href="#icscal_file">icscal_file</a></li>
<li><a href="#icsitem_file">icsitem_file</a></li>
</ul></li>
<li><a href="#local_timezone">local_timezone</a></li>
<li><a href="#monthly">monthly</a></li>
<li><a href="#report">report</a></li>
<li><a href="#rowsize">rowsize</a></li>
<li><a href="#show_finished">show_finished</a></li>
<li><a href="#smtp">smtp</a></li>
<li><a href="#sms">sms</a></li>
<li><a href="#sundayfirst">sundayfirst</a></li>
<li><a href="#sunmoon_location">sunmoon_location</a></li>
<li><a href="#weather_location">weather_location</a></li>
<li><a href="#weeks_after">weeks_after</a></li>
<li><a href="#window-height-and-width">window height and width</a></li>
<li><a href="#yearfirst">yearfirst</a></li>
</ul>
</div>
<p>Each configuration option is listed below with an illustrative entry and a brief discussion. These entries are stored, by default, in <code>~/.etm/etm.cfg</code>. When this file is edited in <em>etm</em> (Shift Ctrl-O), your changes become effective as soon as they are saved --- you do not need to restart <em>etm</em>.</p>
<p>The following template expansions can be used in <code>alert_displaycmd</code>, <code>alert_template</code>, <code>alert_voicecmd</code>, <code>email_template</code>, <code>sms_message</code> and <code>sms_subject</code> below.</p>
<ul>
<li><code>!summary!</code>: the item's summary (this will be used as the subject of email and message alerts)</li>
<li><code>!start_date!</code>: the starting date of the event</li>
<li><code>!start_time!</code>: the starting time of the event</li>
<li><code>!time_span!</code>: the time span of the event (see below)</li>
<li><code>!alert_time!</code>: the time the alert is triggered</li>
<li><code>!time_left!</code>: the time remaining until the event starts</li>
<li><code>!when!</code>: the time remaining until the event starts as a sentence (see below)</li>
<li><code>!d!</code>: the item's <code>@d</code> (description)</li>
<li><code>!l!</code>: the item's <code>@l</code> (location)</li>
</ul>
<p>The value of <code>!time_span!</code> depends on the starting and ending datetimes. Here are some examples:</p>
<ul>
<li><p>if the start and end <em>datetimes</em> are the same (zero extent): <code>10am Wed, Aug 4</code></p></li>
<li><p>else if the times are different but the <em>dates</em> are the same: <code>10am - 2pm Wed, Aug 4</code></p></li>
<li><p>else if the dates are different: <code>10am Wed, Aug 4 - 9am Thu, Aug 5</code></p></li>
<li><p>additionally, the year is appended if a date falls outside the current year:</p>
<pre><code>10am - 2pm Thu, Jan 3 2013
10am Mon, Dec 31 - 2pm Thu, Jan 3 2013</code></pre></li>
</ul>
<p>Here are values of <code>!time_left!</code> and <code>!when!</code> for some illustrative periods:</p>
<ul>
<li><p><code>2d3h15m</code></p>
<pre><code>time_left : &#39;2 days 3 hours 15 minutes&#39;
when      : &#39;2 days 3 hours 15 minutes from now&#39;</code></pre></li>
<li><p><code>20m</code></p>
<pre><code>time_left : &#39;20 minutes&#39;
when      : &#39;20 minutes from now&#39;</code></pre></li>
<li><p><code>0m</code></p>
<pre><code>time_left : &#39;&#39;
when      : &#39;now&#39;</code></pre></li>
</ul>
<p>Note that 'now', 'from now', 'days', 'day', 'hours' and so forth are determined by the translation file in use.</p>
<p>Available template expansions for <code>action_template</code> (below) include:</p>
<ul>
<li><code>!label!</code> the item or group label.</li>
<li><code>!count!</code> the number of children represented in the reported item or group.</li>
<li><code>!minutes!</code> the total time from <code>@e</code> entries in minutes rounded up using the setting for <code>action_minutes</code>.</li>
<li><code>!hours!</code> if action_minutes = 1, the time in hours and minutes. Otherwise, the time in floating point hours.</li>
<li><code>!value!</code> the billing value of the rounded total time. Requires an action entry such as <code>@v br1</code> and a setting for <code>action_rates</code>.</li>
<li><code>!expense!</code> the total expense from <code>@x</code> entries.</li>
<li><code>!charge!</code> the billing value of the total expense. Requires an action entry such as <code>@w mu1</code> and a setting for <code>action_markups</code>.</li>
<li><code>!total!</code> the sum of <code>!value!</code> and <code>!charge!</code>.</li>
</ul>
<p>Note: when aggregating amounts in action reports, billing and markup rates are applied first to times and expenses for individual actions and the resulting amounts are then aggregated. Similarly, when times are rounded up, the rounding is done for individual actions and the results are then aggregated.</p>
<h3 id="action_interval"><a href="#action_interval">action_interval</a></h3>
<pre><code>action_interval: 1</code></pre>
<p>Every <code>action_interval</code> minutes, execute <code>action_timercmd</code> when the timer is running and <code>action_pausecmd</code> when the timer is paused. Choose zero to disable executing these commands.</p>
<h3 id="action_markups"><a href="#action_markups">action_markups</a></h3>
<pre><code>action_markups:
    default: 1.0
    mu1: 1.5
    mu2: 2.0</code></pre>
<p>Possible markup rates to use for <code>@x</code> expenses in actions. An arbitrary number of rates can be entered using whatever labels you like. These labels can then be used in actions in the <code>@w</code> field so that, e.g.,</p>
<pre><code>... @x 25.80 @w mu1 ...</code></pre>
<p>in an action would give this expansion in an action template:</p>
<pre><code>!expense! = 25.80
!charge! = 38.70</code></pre>
<h3 id="action_minutes"><a href="#action_minutes">action_minutes</a></h3>
<pre><code>action_minutes: 6</code></pre>
<p>Round action times up to the nearest <code>action_minutes</code> in action reports. Possible choices are 1, 6, 12, 15, 30 and 60. With 1, no rounding is done and times are reported as integer minutes. Otherwise, the prescribed rounding is done and times are reported as floating point hours.</p>
<h3 id="action_rates"><a href="#action_rates">action_rates</a></h3>
<pre><code>&lt;!-- action_rates: --&gt;
    default: 30.0
    br1: 45.0
    br2: 60.0</code></pre>
<p>Possible billing rates to use for <code>@e</code> times in actions. An arbitrary number of rates can be entered using whatever labels you like. These labels can then be used in the <code>@v</code> field in actions so that, e.g., with <code>action_minutes: 6</code> then:</p>
<pre><code>... @e 75m @v br1 ...</code></pre>
<p>in an action would give these expansions in an action template:</p>
<pre><code>!hours! = 1.3
!value! = 58.50</code></pre>
<p>If the label <code>default</code> is used, the corresponding rate will be used when <code>@v</code> is not specified in an action.</p>
<p>Note that etm accumulates group totals from the <code>time</code> and <code>value</code> of individual actions. Thus</p>
<pre><code>... @e 75m @v br1 ...
... @e 60m @v br2 ...</code></pre>
<p>would aggregate to</p>
<pre><code>!hours!  = 2.3     (= 1.3 + 1)
!value! = 118.50   (= 1.3 * 45.0 + 1 * 60.0)</code></pre>
<h3 id="action_template"><a href="#action_template">action_template</a></h3>
<pre><code>action_template: &#39;!hours!h) !label! (!count!)&#39;</code></pre>
<p>Used for action reports. With the above settings for <code>action_minutes</code> and <code>action_template</code>, a report might appear as follows:</p>
<pre><code>27.5h) Client 1 (3)
    4.9h) Project A (1)
    15h) Project B (1)
    7.6h) Project C (1)
24.2h) Client 2 (3)
    3.1h) Project D (1)
    21.1h) Project E (2)
        5.1h) Category a (1)
        16h) Category b (1)
4.2h) Client 3 (1)
8.7h) Client 4 (2)
    2.1h) Project F (1)
    6.6h) Project G (1)</code></pre>
<h3 id="action_timer"><a href="#action_timer">action_timer</a></h3>
<pre><code>action_timer:
    paused: &#39;/usr/bin/play /home/dag/.etm/sounds/timer_paused.wav&#39;
    running: &#39;/usr/bin/play /home/dag/.etm/sounds/timer_running.wav&#39;</code></pre>
<p>The command <code>running</code> is executed every <code>action_interval</code> minutes whenever the action timer is running and <code>paused</code> every minute when the action timer is paused.</p>
<h3 id="action_status"><a href="#action_status">action_status</a></h3>
<pre><code>action_status:
    paused:    &#39;echo !summary! !time! paused &gt; ~/.etm/status.text&#39;
    running:   &#39;echo !summary! !time! running &gt; ~/.etm/status.text&#39;
    stopped:   &#39;echo  &gt; ~/.etm/status.text&#39;</code></pre>
<p>The expansion of the appropriate command will be executed whenever the status of the action timer changes.</p>
<p>Available expansions for <code>paused</code>, <code>running</code> and <code>stopped</code> include:</p>
<ul>
<li><code>!summary!</code> the action summary.</li>
<li><code>!time!</code> the current value of timer in H:MM format.</li>
</ul>
<p>The illustrative <code>running</code> might, for example, expand as follows:</p>
<pre><code>jones deposition 0:27 running</code></pre>
<p>With the above example, note that an application such as <em>conky</em> or <em>geektool</em> could be used to display the contents of <code>~/.etm/status.text</code> on the user's desktop.</p>
<h3 id="agenda"><a href="#agenda">agenda</a></h3>
<pre><code>agenda_colors:  2
agenda_days:    4
agenda_indent:  2
agenda_width1: 24
agenda_width2:  8</code></pre>
<p>The agenda setup. With <code>colors</code> 2, all colors are used, with 1 only red is used (past due tasks) and with 0 no colors are used. <code>days</code> is the number of active days to display. <code>indent</code> gives the indentation for each level of the tree. <code>width1</code> and <code>width2</code> give, respectively, the maximum width for columns 1 and 2.</p>
<h3 id="alert_default"><a href="#alert_default">alert_default</a></h3>
<pre><code>alert_default: [m]</code></pre>
<p>The alert or list of alerts to be used when an alert is specified for an item but the type is not given. Possible values for the list include: - d: display (requires <code>alert_displaycmd</code>) - m: message (using <code>alert_template</code>) - s: sound (requires <code>alert_soundcmd</code>) - v: voice (requires <code>alert_voicecmd</code>)</p>
<h3 id="alert_displaycmd"><a href="#alert_displaycmd">alert_displaycmd</a></h3>
<pre><code>alert_displaycmd: /usr/local/bin/growlnotify -t !summary! -m &#39;!time_span!&#39;</code></pre>
<p>The command to be executed when <code>d</code> is included in an alert. Possible template expansions are discussed at the beginning of this tab.</p>
<h3 id="alert_soundcmd"><a href="#alert_soundcmd">alert_soundcmd</a></h3>
<pre><code>alert_soundcmd: &#39;/usr/bin/play /home/dag/.etm/sounds/etm_alert.wav&#39;</code></pre>
<p>The command to execute when <code>s</code> is included in an alert. Possible template expansions are discussed at the beginning of this tab.</p>
<h3 id="alert_template"><a href="#alert_template">alert_template</a></h3>
<pre><code>alert_template: &#39;!time_span!\n!l!\n\n!d!&#39;</code></pre>
<p>The template to use for the body of <code>m</code> (message) alerts. See the discussion of template expansions at the beginning of this tab for other possible expansion items.</p>
<h3 id="alert_voicecmd"><a href="#alert_voicecmd">alert_voicecmd</a></h3>
<pre><code>alert_voicecmd: /usr/bin/say -v &#39;Alex&#39; &#39;!summary! begins !when!.&#39;</code></pre>
<p>The command to be executed when <code>v</code> is included in an alert. Possible expansions are are discussed at the beginning of this tab.</p>
<h3 id="alert_wakecmd"><a href="#alert_wakecmd">alert_wakecmd</a></h3>
<pre><code>alert_wakecmd: /Users/dag/bin/SleepDisplay -w</code></pre>
<p>If given, this command will be issued to &quot;wake up the display&quot; before executing <code>alert_displaycmd</code>.</p>
<h3 id="ampm"><a href="#ampm">ampm</a></h3>
<pre><code>ampm: true</code></pre>
<p>Use ampm times if true and twenty-four hour times if false. E.g., 2:30pm (true) or 14:30 (false).</p>
<h3 id="auto_completions"><a href="#auto_completions">auto_completions</a></h3>
<pre><code>    auto_completions: ~/.etm/completions.cfg</code></pre>
<p>The absolute path to the file to be used for autocompletions. Each line in the file provides a possible completion. E.g.</p>
<pre><code>@c computer
@c home
@c errands
@c office
@c phone
@z US/Eastern
@z US/Central
@z US/Mountain
@z US/Pacific
dnlgrhm@gmail.com</code></pre>
<p>As soon as you enter, for example, &quot;<span class="citation">@c</span>&quot; in the editor, a list of possible completions will pop up and then, as you type further characters, the list will shrink to show only those that still match:</p>
<center>
<img src="images/completion.png" title="Completion" />
</center>

<p>Up and down arrow keys change the selection and either <em>Tab</em> or <em>Return</em> inserts the selection.</p>
<h3 id="calendars"><a href="#calendars">calendars</a></h3>
<pre><code>calendars:
- [dag, true, personal/dag]
- [erp, false, personal/erp]
- [shared, true, shared]</code></pre>
<p>These are (label, default, path relative to <code>datadir</code>) tuples to be interpreted as separate calendars. Those for which default is <code>true</code> will be displayed as default calendars. E.g., with the <code>datadir</code> below, <code>dag</code> would be a default calendar and would correspond to the absolute path <code>/Users/dag/.etm/data/personal/dag</code>. With this setting, the calendar selection dialog would appear as follows:</p>
<center>
<img src="images/calendar_selection.png" title="available calendars" />
</center>

<p>When non-default calendars are selected, busy times in the &quot;week view&quot; will appear in one color for events from default calendars and in another color for events from non-default calendars.</p>
<p><em>Note that the calendar icon only appears in the main gui if this setting is provided.</em></p>
<h3 id="current-files"><a href="#current-files">current files</a></h3>
<pre><code>current_htmlfile:  &#39;&#39;
current_textfile:  &#39;&#39;
current_indent:    3
current_opts:      &#39;&#39;
current_width1:    40
current_width2:    17</code></pre>
<p>If absolute file paths are entered for <code>current_textfile</code> and/or <code>current_htmlfile</code>, then these files will be created and automatically updated by etm as as plain text or html files, respectively. If <code>current_opts</code> is given then the file will contain a report using these options; otherwise the file will contain an agenda. Indent and widths are taken from these setting with other settings, including color, from <em>report</em> or <em>agenda</em>, respectively.</p>
<p>Hint: fans of geektool can use the shell command <code>cat &lt;current_textfile&gt;</code> to have the current agenda displayed on their desktops.</p>
<h3 id="datadir"><a href="#datadir">datadir</a></h3>
<pre><code>datadir: ~/.etm/data</code></pre>
<p>All etm data files are in this directory.</p>
<h3 id="dayfirst"><a href="#dayfirst">dayfirst</a></h3>
<pre><code>dayfirst: false</code></pre>
<p>If dayfirst is False, the MM-DD-YYYY format will have precedence over DD-MM-YYYY in an ambiguous date. See also <code>yearfirst</code>.</p>
<h3 id="edit_cmd"><a href="#edit_cmd">edit_cmd</a></h3>
<pre><code>edit_cmd: ~/bin/vim !file! +!line!</code></pre>
<p>This command is used in the command line version of etm to create and edit items. When the command is expanded, <code>!file!</code> will be replaced with the complete path of the file to be edited and <code>!line!</code> with the starting line number in the file. If the editor will open a new window, be sure to include the command to wait for the file to be closed before returning, e.g., with vim:</p>
<pre><code>edit_cmd: ~/bin/gvim -f !file! +!line!</code></pre>
<p>or with sublime text:</p>
<pre><code>edit_cmd: ~/bin/subl -n -w !file!:!line!</code></pre>
<h3 id="email_template"><a href="#email_template">email_template</a></h3>
<pre><code>email_template: &#39;Time: !time_span!
Locaton: !l!


!d!&#39;</code></pre>
<p>Note that two newlines are required to get one empty line when the template is expanded. This template might expand as follows:</p>
<pre><code>    Time: 1pm - 2:30pm Wed, Aug 4
    Location: Conference Room

    &lt;contents of @d&gt;</code></pre>
<p>See the discussion of template expansions at the beginning of this tab for other possible expansion items.</p>
<h3 id="etmdir"><a href="#etmdir">etmdir</a></h3>
<pre><code>etmdir: ~/.etm</code></pre>
<p>Absolute path to the directory for etm.cfg and other etm configuration files.</p>
<h3 id="encoding"><a href="#encoding">encoding</a></h3>
<pre><code>encoding: {file: utf-8, gui: utf-8, term: utf-8}</code></pre>
<p>The encodings to be used for file IO, the GUI and terminal IO.</p>
<h3 id="filechange_alert"><a href="#filechange_alert">filechange_alert</a></h3>
<pre><code>filechange_alert: &#39;/usr/bin/play /home/dag/.etm/sounds/etm_alert.wav&#39;</code></pre>
<p>The command to be executed when etm detects an external change in any of its data files. Leave this command empty to disable the notification.</p>
<h3 id="fontsize"><a href="#fontsize">fontsize</a></h3>
<pre><code>fontsize: 13</code></pre>
<p>Use this font size in the gui treeviews.</p>
<h3 id="mercurial-commands"><a href="#mercurial-commands">Mercurial commands</a></h3>
<p>If <em>Mercurial</em> is installed on your system, then the default versions of the <code>hg</code> commands given below should work without modification. If you want to use another version control system, then enter the commands for your version control system. <code>{repo}</code> will be replaced with the internally generated name of the repository in <code>hg_commit</code> and <code>hg_history</code>, <code>{file}</code> with the internally generated file name in <code>hg_history</code>, <code>{mesg}</code> with the internally generated commit message in <code>hg_commit</code> and <code>{0}</code> with the name of the repository in <code>hg_init</code>.</p>
<h4 id="hg_commit"><a href="#hg_commit">hg_commit</a></h4>
<p>The command to commit changes to the repository.</p>
<pre><code>hg_commit: /usr/local/bin/hg commit -A -R {repo} -m &#39;{mesg}&#39;</code></pre>
<h4 id="hg_history"><a href="#hg_history">hg_history</a></h4>
<p>The command to show the history of changes for a particular data file.</p>
<pre><code>hg_history: &#39;/usr/local/bin/hg log --style compact \
    --template `{rev}: {desc}\n` \
    -R {repo} -p -r `tip`:0 {file}&#39;</code></pre>
<h4 id="hg_init"><a href="#hg_init">hg_init</a></h4>
<p>The command to initialize or create a repository.</p>
<pre><code>hg_init: /usr/local/bin/hg init {0}</code></pre>
<h3 id="icalendar-files"><a href="#icalendar-files">iCalendar files</a></h3>
<h4 id="icscal_file"><a href="#icscal_file">icscal_file</a></h4>
<p>Pressing F8 in the gui main window will export the selected calendars in iCalendar format to this file.</p>
<pre><code>icscal_file: ~/.etm/etmcal.ics</code></pre>
<h4 id="icsitem_file"><a href="#icsitem_file">icsitem_file</a></h4>
<p>Pressing F8 in the gui detail view will export the selected item in iCalendar format to this file.</p>
<pre><code>icsitem_file: ~/.etm/etmitem.ics</code></pre>
<h3 id="local_timezone"><a href="#local_timezone">local_timezone</a></h3>
<pre><code>local_timezone: US/Eastern</code></pre>
<p>This timezone will be used as the default when a value for <code>@z</code> is not given in an item.</p>
<h3 id="monthly"><a href="#monthly">monthly</a></h3>
<pre><code>monthly: monthly</code></pre>
<p>Relative path from <code>datadir</code>. With the settings above and for <code>datadir</code> the suggested location for saving new items in, say, October 2012, would be the file:</p>
<pre><code>~/.etm/data/monthly/2012/10.txt</code></pre>
<p>The directories <code>monthly</code> and <code>2012</code> and the file <code>10.txt</code> would, if necessary, be created. The user could either accept this default or choose a different file.</p>
<h3 id="report"><a href="#report">report</a></h3>
<pre><code>report_begin:           &#39;1&#39;
report_end:             &#39;+1/1&#39;
report_colors:          2
report_specifications:  ~/.etm/reports.cfg
report_width:           54</code></pre>
<p>Report begin and end are fuzzy parsed dates specifying the default period for reports that group by dates. Each line in the file specified by <code>report_specifications</code> provides a possible specification for a report. E.g.</p>
<pre><code>a MMM yyyy; k[0]; k[1:] -b -1/1 -e 1
a k, MMM yyyy -b -1/1 -e 1
c ddd MMM d yyyy
c f</code></pre>
<p>In the reports dialog these appear in the report specifications pop-up list. A specification from the list can be selected and, perhaps, modified or an entirely new specification can be entered. See the <em>Reports</em> tab for details. See also the <em>agenda</em> settings above.</p>
<h3 id="rowsize"><a href="#rowsize">rowsize</a></h3>
<pre><code>rowsize: 18</code></pre>
<p>If positive, use this vertical size in GUI tree views.</p>
<h3 id="show_finished"><a href="#show_finished">show_finished</a></h3>
<pre><code>show_finished: 1</code></pre>
<p>Show this many of the most recent completions of repeated tasks or, if 0, show all completions.</p>
<h3 id="smtp"><a href="#smtp">smtp</a></h3>
<pre><code>smtp_from: dnlgrhm@gmail.com
smtp_id: dnlgrhm
smtp_pw: **********
smtp_server: smtp.gmail.com</code></pre>
<p>Required settings for the smtp server to be used for email alerts.</p>
<h3 id="sms"><a href="#sms">sms</a></h3>
<pre><code>sms_message: &#39;!summary!&#39;
sms_subject: &#39;!time_span!&#39;
sms_from: dnlgrhm@gmail.com
sms_pw:  **********
sms_phone: 0123456789@vtext.com
sms_server: smtp.gmail.com:587</code></pre>
<p>Required settings for text messaging in alerts. Enter the 10-digit area code and number and mms extension for the mobile phone to receive the text message when no numbers are specified in the alert. The illustrated phone number is for Verizon. Here are the mms extensions for the major carriers:</p>
<pre><code>Alltel          @message.alltel.com
AT&amp;T            @txt.att.net
Nextel          @messaging.nextel.com
Sprint          @messaging.sprintpcs.com
SunCom          @tms.suncom.com
T-mobile        @tmomail.net
VoiceStream     @voicestream.net
Verizon         @vtext.com</code></pre>
<h3 id="sundayfirst"><a href="#sundayfirst">sundayfirst</a></h3>
<pre><code>sundayfirst: false</code></pre>
<p>The setting affects only the twelve month calendar display. The first column in each month is Sunday if <code>true</code> and Monday otherwise. Both the week and month views list Monday first regardless of this setting since both reflect the iso standard for week numbering in which weeks begin with Monday.</p>
<h3 id="sunmoon_location"><a href="#sunmoon_location">sunmoon_location</a></h3>
<pre><code>sunmoon_location: [Chapel Hill, NC]</code></pre>
<p>The USNO location for sun/moon data. Either a US city-state 2-tuple such as <code>[Chapel Hill, NC]</code> or a placename-longitude-latitude 7-tuple such as <code>[Home, W, 79, 0, N, 35, 54]</code>.</p>
<p>Enter a blank value to disable sunmoon information.</p>
<h3 id="weather_location"><a href="#weather_location">weather_location</a></h3>
<pre><code>weather_location: w=615702</code></pre>
<p>To get the yahoo weather location code (WOEID) go to http://weather.yahoo.com/, enter your location and hit return. When the weather page for your location opens, the WOEID will be in the url for your location, e.g., for Paris, FR the url is</p>
<pre><code>http://weather.yahoo.com/france/ile-de-france/paris-615702/</code></pre>
<p>and the WOEID is 615702. For US locations you can us the US 5-digit zip code for your location. E.g. my zip code in Chapel Hill, NC is 27517 and I would enter</p>
<pre><code>weather_location: p=27517</code></pre>
<p>Note that <code>p=</code> replaces <code>w=</code> when using a zip code instead of a WOEID. By default temperatures are given in degrees Farenheit. If you would prefer Celcius append <code>&amp;u=c</code> to either the WOEID or the zip code in your <code>weather_location</code>. Note that choosing Celsius degree units changes all the weather units to metric, for example, wind speed will be reported as kilometers per hour and barometric pressure as millibars.</p>
<p>Enter a blank value to disable weather information.</p>
<h3 id="weeks_after"><a href="#weeks_after">weeks_after</a></h3>
<pre><code>weeks_after: 52</code></pre>
<p>In the day view, all non-repeating, dated items are shown. Additionally all repetitions of repeating items with a finite number of repetitions are shown. This includes 'list-only' repeating items and items with <code>&amp;u</code> (until) or <code>&amp;t</code> (total number of repetitions) entries. For repeating items with an infinite number of repetitions, those repetitions that occur within the first <code>weeks_after</code> weeks after the current week are displayed along with the first repetition after this interval. This assures that for infrequently repeating items such as voting for president, at least one repetition will be displayed.</p>
<h3 id="window-height-and-width"><a href="#window-height-and-width">window height and width</a></h3>
<pre><code>window_height: 428
window_width: 464</code></pre>
<p>The height and width for the GUI main window.</p>
<h3 id="yearfirst"><a href="#yearfirst">yearfirst</a></h3>
<pre><code>yearfirst: true</code></pre>
<p>If yearfirst is true, the YY-MM-DD format will have precedence over MM-DD-YY in an ambiguous date. See also <code>dayfirst</code>.</p>
</body>
</html>
